.e-control, .e-control [class^=e-], .e-control [class*=" e-"] {
    box-sizing: border-box;
}
.e-calendar, .e-bigger.e-small .e-calendar {
    background-color: #fff;
    border: 1px solid rgba(0,0,0,.12);
    box-shadow: none;
}
.e-calendar, .e-bigger.e-small .e-calendar {
    border-spacing: 0;
    max-width: 246px;
    min-width: 240px;
    padding: 0;
}

.e-calendar, .e-bigger.e-small .e-calendar {
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    border-radius: 2px;
    display: block;
    overflow: auto;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.e-control, .e-css {
    font-size: 12px;
    font-weight: normal;
}
.e-calendar .e-header.e-year, .e-calendar .e-header.e-decade, .e-bigger.e-small .e-calendar .e-header.e-year, .e-bigger.e-small .e-calendar .e-header.e-decade {
  padding: 10px 10px 0 10px;
}
.e-calendar .e-header, .e-bigger.e-small .e-calendar .e-header {
  border-bottom: 0;
}
.e-calendar .e-header, .e-bigger.e-small .e-calendar .e-header {
  height: 40px;
}
.e-calendar .e-header, .e-bigger.e-small .e-calendar .e-header {
  background: none;
  display: table;
  font-weight: 500;
  position: relative;
  text-align: center;
  width: 100%;
}
.e-calendar .e-header.e-decade .e-title, .e-calendar .e-header.e-year .e-title, .e-bigger.e-small .e-calendar .e-header.e-decade .e-title, .e-bigger.e-small .e-calendar .e-header.e-year .e-title {
  margin-left: 5px;
}
.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
  color: rgba(0,0,0,.75);
}
.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
  line-height: 40px;
}
.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
  margin-left: 5px;
}
.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
  cursor: pointer;
  display: inline-block;
  float: left;
  font-size: 14px;
  font-weight: 500;
  text-align: left;
}
.e-calendar .e-header .e-icon-container .e-prev, .e-calendar .e-header .e-icon-container .e-next, .e-bigger.e-small .e-calendar .e-header .e-icon-container .e-prev, .e-bigger.e-small .e-calendar .e-header .e-icon-container .e-next {
  height: 36px;
  width: 36px;
}

.e-calendar .e-header .e-prev, .e-calendar .e-header .e-next, .e-bigger.e-small .e-calendar .e-header .e-prev, .e-bigger.e-small .e-calendar .e-header .e-next {
  border-radius: 50%;
  display: inline-block;
  font-size: 14px;
  vertical-align: middle;
}
.e-calendar .e-header button, .e-bigger.e-small .e-calendar .e-header button {
  border: 0;
  margin-right: 0;
  padding: 0;
  text-decoration: none;
}
.e-control, .e-control [class^=e-], .e-control [class*=" e-"] {
  box-sizing: border-box;
}
button, input, select, textarea {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}
button, html input[type=button], input[type=reset], input[type=submit] {
  -webkit-appearance: button;
  cursor: pointer;
}
button, select {
  text-transform: none;
}
button {
  overflow: visible;
}
button, input, optgroup, select, textarea {
  margin: 0;
  font: inherit;
  color: inherit;
}
.customfilter{
  font-size: 14px;
}
.e-calendar .e-header .e-icon-container, .e-bigger.e-small .e-calendar .e-header .e-icon-container {
  display: inline-block;
  float: right;
  padding-top: 0;
}
.e-calendar .e-content.e-year table, .e-calendar .e-content.e-decade table, .e-bigger.e-small .e-calendar .e-content.e-year table, .e-bigger.e-small .e-calendar .e-content.e-decade table {
  border-spacing: 0;
  padding: 10px;
}
.e-calendar .e-content table, .e-bigger.e-small .e-calendar .e-content table {
  border-collapse: separate;
  border-spacing: 0;
  border-width: 0;
  float: left;
  margin: 0;
  outline: 0;
  padding: 0 10px 10px;
  table-layout: fixed;
  width: 100%;
}
.e-calendar .e-content.e-year td, .e-calendar .e-content.e-decade td, .e-bigger.e-small .e-calendar .e-content.e-year td, .e-bigger.e-small .e-calendar .e-content.e-decade td {
  height: 45px;
  padding: 6px;
}
.e-calendar .e-content td, .e-bigger.e-small .e-calendar .e-content td {
  cursor: pointer;
  padding: 2px;
  text-align: center;
}
.e-calendar .e-content th, .e-calendar .e-content td, .e-bigger.e-small .e-calendar .e-content th, .e-bigger.e-small .e-calendar .e-content td {
  box-sizing: border-box;
}
.e-calendar .e-footer-container, .e-bigger.e-small .e-calendar .e-footer-container {
  background-color: #fff;
  border-top: none;
  cursor: default;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  -ms-flex-pack: end;
  justify-content: flex-end;
  padding: 0 10px 10px 10px;
  text-align: center;
  width: 100%;
}
.e-calendar .e-footer-container, .e-bigger.e-small .e-calendar .e-footer-container {
  text-transform: uppercase;
}
.e-btn.e-flat.e-primary, .e-css.e-btn.e-flat.e-primary {
  background-color: rgba(0,0,0,0);
  border-color: rgba(0,0,0,0);
  color: rgb(60, 126, 87);
}

.e-btn.e-flat, .e-css.e-btn.e-flat {
  border: 1px solid;
}


.e-calendar .e-content.e-year td>span.e-day, .e-calendar .e-content.e-decade td>span.e-day, .e-bigger.e-small .e-calendar .e-content.e-year td>span.e-day, .e-bigger.e-small .e-calendar .e-content.e-decade td>span.e-day {
  background: rgba(255, 255, 255, 0);
}
.e-calendar .e-content.e-year td>span.e-day, .e-calendar .e-content.e-decade td>span.e-day, .e-bigger.e-small .e-calendar .e-content.e-year td>span.e-day, .e-bigger.e-small .e-calendar .e-content.e-decade td>span.e-day {
  font-weight: normal;
  height: 45px;
  line-height: 45px;
  width: 45px;
}
.e-calendar .e-content span.e-day, .e-bigger.e-small .e-calendar .e-content span.e-day {
  border-radius: 0;
  cursor: pointer;
  display: inline-block;
  font-size: 13px;
  overflow: hidden;
  padding: 0;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
}

.e-cell:hover{
  background-color: #eaeaea;
  color: black;
}
.e-selected{
  background-color: rgb(60, 126, 87);
  color: white;
}
.e-selected:hover{
  background-color: rgb(60, 126, 87);
  color: white;
}
button.e-prev, .e-next{
  background-color: #ffffff;
}

button.e-prev:hover, button.e-next:hover{
  background-color: #eaeaea;
}
.e-selected-year{
  background-color: #eaeaea;
  color: white;
}
.selectDate{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 10px;
  border-radius: 5px;
  width: 170px;
  background-color: white;
}
.selectDate:hover{
  background-color: #efefef;
  cursor: pointer;
}
.table-bordered{
  background-color: white;
}
.datePickContainer{
  position:absolute ;
}
.colonneCalendar{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 30px;
  color: white;
  height: 32px;
}
.monthHead{
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color:  rgb(60, 126, 87);
  color: white;
  font-weight: bold;
  font-size: 20px;
  margin-right: 30px;

}
.materialTable{
  display: flex;
  width: 90%;
}
.tableContainer{
  overflow-x: scroll;
  margin-right: 30px;
  min-height: 200px;
  background-color: white;

}

.flechContainer{
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  margin: 4px 16px;
  font-size: 14px;
  font-weight: bold;
  cursor: pointer;
}
.flechContainer:hover{
  color: black;
  background-color: white;
}
//::-webkit-scrollbar {
//  display: none;
//}
.datePick{
  margin: 20px ;
}
.caseTable{
  cursor: pointer;
  max-width: 50px;
  overflow: hidden;
  white-space: nowrap;
  padding: 0px;
}

.caseTable:hover{
  background-color:#e6e6e6;
}
.reserve, .reserve:hover{
  padding-left: 10px;
  display: flex;
  align-items: center;
  height: 100%;
  background-color:#ccd5bd;
  border-radius: 2px;
  border: 1px solid white;
  border-style: dashed solid;
  border-style: dashed  ;
}
.modal-body{
  display: flex;
  flex-wrap: wrap;
}
.custom-col{
  width: 50%;
  padding: 0px 10px;
}
.addButton {
  background-color: rgb(60, 126, 87);
  color: white;
}
.addButton:hover {
  background-color: rgb(76, 158, 106);
}
.custom-col span {
  color: red;
  font-size: small;
  margin-top: 0.25rem;
}
.leftTable{
  min-height: 200px;
  background-color: white;
}
.loadingTableContainer {
  position: absolute;
  width: 100%;
  margin-top: 52.5px;
}
.loadingTable {
  display: flex;
  padding: 0px;
  flex-direction: column;
  margin: auto;
  margin-top: 5em;
}
.dataNotFound {
  display: flex;
  //width: 185px;
  justify-content: center;
  align-items: center;
  margin: auto;
}
.productsSelect{
  width: 100%;
  display: flex;
}
.montantMat{
  width: 35%;
  border: 1px solid rgba(0, 0, 0, 0);
  border-radius: 5px;
  height: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-left: 15px;
}
.retirer{
  height: 30px;
  width: 30px;
  background-color: red;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  color: white;
  padding-bottom: 12px;
  font-size: 52px;
  margin-left: 10px;
  cursor: pointer;
}
.montantContainer{
  display: flex;
  flex-direction: row;
}
.footerTotal{
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}
.QuntJour{
  padding-left: 80px;
  width: 45%;
  display: flex;
  align-items: center;
}
.Quantite{
  width: 100%;
  margin-right: 40px;
}
.tableTotal{
  width: 50%;
  margin-top: 20px;
  padding-left: 20px;
}
.tableTotal table{
  width: 60%;
}
.colTot{
  padding: 7px;
  font-size: 16px;
  min-width: 100px;
  height: 30px;
}
.clientContainer{
  width: 100%;
  display: flex;
  align-items: center;
}
.clientName{
  cursor: pointer;
  display: flex;
  align-items: center;
  padding-left: 15px;
  width: 100%;
  height: 35px;
  border: 1px solid #e4e7ea;
  border-radius: 5px;
  margin-right: 5px;
}
.tableHead {
  background-color: rgb(60, 126, 87);

  color: white;
}
td {
  height: 56px;
}
.card-body {
  padding: 0;
  min-height: 150px;
}
.switch-success .switch-input:checked + .switch-slider {
  background-color: rgb(60, 126, 87);
  border-color: #3a9d5d;
}
.switch-label {
  width: 48px;
  margin: 0px;
}
/* width */
::-webkit-scrollbar {
  height: 12px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 2px grey;
  border-radius: 6px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(171, 171, 171, 0.73);
  border-radius: 6px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #ababab;
}
.table {
   margin-bottom: 0px;
}
.grise{
  background-color: #e4e7ea;
  cursor: auto;
}
td{
  height: 44px;
}
.contrat,  .contrat:hover{
  background-color: #f3efad;
}
